{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Add Update Info
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-archive"></i>
                Add New Updates Details
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="btn1 btn1-secondary" href="{% url 'changeUpdateStatus' %}">Change Status</a></a>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <form method="POST">{% csrf_token %}
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="form-horizontal form-label-left">
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Update Info
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea name="work" class="form-control" placeholder="Write Update informations"
                                          type="text"
                                          maxlength="5000" required></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Link to Find
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea class="form-control" type="text" name="link_to_use"
                                          maxlength="1000"
                                          placeholder="How to access the resource (optional)"></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Date
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="datepicker" class="form-control" name="date" type="text" required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button name="add" type="submit" class="btn1 btn-dark-green">Add Info</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div>
                <table class="table table-hover table-striped" style="table-layout:fixed">
                    <thead>
                    <tr>
                        <th style="word-wrap: break-word">S. No.</th>
                        <th style="word-wrap: break-word">Work Done</th>
                        <th style="word-wrap: break-word">Link</th>
                        <th style="word-wrap: break-word">Date</th>
                        <th style="word-wrap: break-word">Status</th>
                    </tr>
                    </thead>
                    <tbody id="content">
                    <form method="POST">{% csrf_token %}
                        {% for newUpdate in updateInfoList %}
                            <tr>
                                <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                                <td style="word-wrap: break-word">{{ newUpdate.work }}</td>
                                <td style="word-wrap: break-word">{{ newUpdate.link_to_use }}</td>
                                <td style="word-wrap: break-word">{{ newUpdate.date }}</td>
                                <td style="word-wrap: break-word">
                                    {% if newUpdate.show_status %}
                                        <i class="fa fa-check"></i>
                                    {% endif %}
                                </td>
                                <td><input class="btn1-sm btn-orange" type="submit" name="edit-{{ newUpdate.pk }}"
                                           value="Edit"></td>
                            </tr>
                        {% endfor %}
                    </form>
                    </tbody>
                </table>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        $(function () {
            $("#datepicker").datepicker({dateFormat: 'dd/mm/yy'});
        });

    </script>

{% endblock %}